
;;;;------------------------------------------------------------
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
FUNCTION REMAP_OVERSHOOT_DATA, in, new_limit
 PRINT, 'Remapping overshooting top data'
	 kk=TAG_NAMES(in) &  n_var=N_TAGS(in)
	 lat=in.(0) & lon=in.(1)

	FOR b=2, 2   DO BEGIN ;;n_var-1 DO  BEGIN
		data=in.(b) & d_name=kk(b)
		tt=WHERE(data NE 0) & uu=SIZE(data, /DIMENSIONS) 
 		range=[MIN(data), max(data)+1] ;;;[MIN(data(tt)), max(data(tt))] 
		nx=uu(0)*2 & ny=uu(1)*2 & maxbrit=254
	
		CASE b OF
		 	2: BEGIN   
		 	   ci_ctc=2 
 				  imagemap_ci_bin, data, lat, lon, maxbrit, newimage=OVERSHOOT, limit=new_limit, range=range,  missing=999.0,  b_scale=0, ci_ctc
			   END
   		ENDCASE	       
        ENDFOR

	image={OVERSHOOT:OVERSHOOT,lat:lat, lon:lon}

	RETURN, image
END
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;------------------------------------------------------------


