@/data/kbah/projects/ci/ascii/code/awips_subroutines/CREATE_NAWIPS_BINARY.pro
@/data/kbah/projects/ci/ascii/code/awips_subroutines/read_ci_ctc.pro
@/data/kbah/projects/ci/ascii/code/awips_subroutines/remap_accum_data.pro
@/data/kbah/projects/ci/ascii/code/awips_subroutines/remap_indiv_data.pro
@/data/kbah/projects/ci/ascii/code/awips_subroutines/remap_overshoot_data.pro
@/data/kbah/projects/ci/ascii/code/awips_subroutines/binread.pro
@/data/kbah/projects/ci/ascii/code/awips_subroutines/binwrite.pro
@/data/kbah/projects/ci/ascii/code/awips_subroutines/imagemap_ci_bin.pro



PRO CREATE_GRIB2_CI_PRODUCTS, INFILE1, INFILE2, INFILE3, IN_DIR1, IN_DIR2, IN_DIR3, OUT_DIR, P_TYPE

;;;;;;;;;;; inputfiles
        INFILE1='GOES-12.2010054.140200.accum_ci.hdf'               ;;;CI input file
        INFILE2='geocatL2.GOES-12.2010054.140200.hdf.ci.hdf'        ;;;CI inst. input file
        INFILE3='geocatL2.GOES-12.2010054.140200.hdf'               ;;;Overshooting top inout file
;;;;;;;;;;; Input dir
        IN_DIR1='/data/kbah/projects/ci/ascii/input/'
        IN_DIR2='/data/kbah/projects/ci/ascii/input/'     				 ;;;'/data1/common/UWCI_DATA/UWCI_REALTIME/INDIV_CI_PRODUCT/'
        IN_DIR3='/data/kbah/projects/ci/ascii/input/'
        out_dir='/data/kbah/projects/ci/ascii/output/binary/'
 
      input_data0 = READ_CI_CTC(infile1,infile2,infile3,in_dir1,in_dir2,in_dir3)
      ss = SIZE(input_data0.data1.lat)  &  nx = ss[1] & ny = ss[2]

      adate = input_data0.adate & atime = input_data0.atime 
      nlimit=[20.191923,-121.554001, 49.939672,-130.103428,50.105490,-60.885519,20.331690, -69.208123]  &  nx=1073 & ny=689
      CREATE_NAWIPS_BINARY, input_data0, nlimit,nx,ny, out_dir, adate, atime
 	
END
