
;;;;------------------------------------------------------------
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
FUNCTION REMAP_ACCUM_DATA, in,new_limit
 PRINT, 'Remapping accumulated data'
	   kk=TAG_NAMES(in) & n_var=N_TAGS(in)   ;;;First 2 are lat and lon
     lat=in.(0) & lon=in.(1)

	FOR b=2, 3   DO BEGIN ;;n_var-1 DO  BEGIN
		  data=in.(b) & d_name=kk(b)
      tt=WHERE(data NE 0) & uu=SIZE(data, /DIMENSIONS) 
      range=[MIN(data), max(data)+1] ;;;[MIN(data(tt)), max(data(tt))] 
      nx=uu(0)*2 & ny=uu(1)*2 & maxbrit=254
      
		CASE b OF
		 	2: BEGIN  
				 ci_ctc=2 
         imagemap_ci_bin, data, lat, lon, maxbrit, newimage=CI_ACCUM_BLI_PC, limit=new_limit, range=range,  missing=999.0,  b_scale=0, ci_ctc 
			   END
			3: BEGIN   
		     range=[-60, -4] &  ci_ctc=3
         imagemap_ci_bin, data, lat, lon, maxbrit, newimage=CTC_ACCUM_BLI_PC, limit=new_limit, range=range,  missing=999.0, b_scale=0, ci_ctc
			   END                   
   		ENDCASE	       
  ENDFOR
 
	image={CI_ACCUM_BLI_PC:CI_ACCUM_BLI_PC, CTC_ACCUM_BLI_PC:CTC_ACCUM_BLI_PC, lat:lat, lon:lon}

	RETURN, image
END
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;------------------------------------------------------------













;;;;;;;;;;;;;;;;new rempapping program
PRO REMAP_DATA, data, lat, lon, limit=limit, positon=position, range=range,newimage=CI_ACCUM_BLI_PC, nx=nx, ny=ny

set_plot,'X'
WINDOW, 4, xsize=nx, ysize=ny
!p.background = fsc_color("White",254)
!p.color = fsc_color("Black",255)

map_set, /CONIC, 25.00, -95.00, standard_parallels=[25.0,25.0], limit =limit, position=position, /noborder 

;nx =!d.x_size    
;ny = !d.y_size 

p = convert_coord( lon, lat, /data, /to_normal )
newimage = replicate( 0B, nx, ny )
newimage( p( 0, * ) * ( nx - 1 ), p( 1, * ) * ( ny - 1 ) )=data


y = !y.window * ny
x = !x.window * nx

newimage = temporary(newimage( x(0):x(1)-1, y(0):y(1)-1 ) )

;- compute image offset and size (device coordinates)
p = convert_coord( [ x(0), x(1) ] / float( nx ), [ y(0), y(1) ] / float( ny), $
  /normal, /to_device )
  
xoffset = p(0,0)
yoffset = p(1,0)
xsize = p(0,1) - p(0,0)
ysize = p(1,1) - p(1,0)

tv, newimage, xoffset, yoffset, xsize = xsize, ysize = ysize

map_continents, /coasts, /continents, /USA

lat_arr=FLTARR(ny)   


print, 'stop'





;RETURN, 0
END


