
;;;;------------------------------------------------------------
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
FUNCTION REMAP_INDIV_DATA, in,new_limit
 PRINT, 'Remapping instantaneous data'
	kk=TAG_NAMES(in) &  n_var=N_TAGS(in)
	 lat=in.(0) & lon=in.(1)

	FOR b=2, 3   DO BEGIN ;;n_var-1 DO  BEGIN
		  data=in.(b) & d_name=kk(b)
      tt=WHERE(data NE 0) & uu=SIZE(data, /DIMENSIONS) 
      range=[MIN(data), max(data)+1] ;;;[MIN(data(tt)), max(data(tt))] 
      nx=uu(0)*2 & ny=uu(1)*2 & maxbrit=254
       	
       input={data:data, lats:lat, lons:lon}
        	
		CASE b OF
		 	2: BEGIN 
         ci_ctc=2 
 				 imagemap_ci_bin, data, lat, lon, maxbrit, newimage=CI_INDIV_BLI_PC, limit=new_limit, range=range,  missing=999.0,  b_scale=0, ci_ctc 
			   END
		  	3: BEGIN
          range=[-30, -4]
          ci_ctc=3
 				 imagemap_ci_bin, data, lat, lon, maxbrit, newimage=CTC_INDIV_BLI_PC, limit=new_limit, range=range,  missing=999.0, b_scale=0, ci_ctc
 				; print, 'stop'
			   END
   		ENDCASE	       
  ENDFOR
  
	image={CI_INDIV_BLI_PC:CI_INDIV_BLI_PC, CTC_INDIV_BLI_PC:CTC_INDIV_BLI_PC,lat:lat, lon:lon}
	RETURN, image
END
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;------------------------------------------------------------


